/***********************************************************
*                       pC/SFS 1.01b                       *
*            a FREE - small Serial File System             *
*                                                          *
*           by Frank Goetze  -  www.embedded-os.de         *
************************************************************
* Permission to use, copy, modify, and distribute this     *
* software in source and binary forms and its              *
* documentation for any purpose and without fee is hereby  *
* granted, provided that the above authors notice appear   *
* in all copies and that both that authors notice and this *
* permission notice appear in supporting documentation.    *
*                                                          *
* THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND   *
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT    *
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY    *
* AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.     *
* IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT,  *
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR             *
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,    *
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF     *
* USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER *
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN        *
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING           *
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE   *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY *
* OF SUCH DAMAGE.                                          *
************************************************************
*                       SFS_string.h                       *
*                 string-operations without                *
*                    compiler-spezifics                    *
***********************************************************/
#ifndef _SFS_string_
 #define _SFS_string_

/*
***********************************************************
*                     TFSstring PROTOTYPES
***********************************************************
*/
SFS_LONG SFSstrlen(U08 OS_HUGE *string) KC51_REENTRANT;
SFS_LONG SFSstrpos(U08 OS_HUGE *string, U08 c) KC51_REENTRANT;
SFS_LONG SFSstrrpos(U08 OS_HUGE *string, U08 c) KC51_REENTRANT;
U08      SFSstrcmp(U08 OS_HUGE *string1, U08 OS_HUGE *string2) KC51_REENTRANT;
U08      SFSstrncmp(U08 OS_HUGE *string1, U08 OS_HUGE *string2, SFS_LONG bytes) KC51_REENTRANT;

#endif


